require "Lua/Math"

Tex = { vVelocity = {x = 0, y = 0, z = 0}, mMatrix = {}}

function LLoadTexInfo()
	Tex.mMatrix = MakeIdentity()

	Tex.mMatrix[1][1], Tex.mMatrix[1][2], Tex.mMatrix[1][3], Tex.mMatrix[1][4], 
	Tex.mMatrix[2][1], Tex.mMatrix[2][2], Tex.mMatrix[2][3], Tex.mMatrix[2][4], 
	Tex.mMatrix[3][1], Tex.mMatrix[3][2], Tex.mMatrix[3][3], Tex.mMatrix[3][4], 
	Tex.mMatrix[4][1], Tex.mMatrix[4][2], Tex.mMatrix[4][3], Tex.mMatrix[4][4], 
	Tex.vVelocity.x, Tex.vVelocity.y, Tex.vVelocity.z = CLoadTexInfo()
	
	DisplayMatrix(Tex.mMatrix)
	
	io.write('\nVelocity:\t')
	DisplayVector(Tex.vVelocity)
	io.write('\n')
	io.write("End of DisplayTex")
end

function LSetTexPosition(x, y, z)
	CSetTexPosition(x, y, z)
end
